<?php
/**
 * If Front page displays in Settings > Reading is set to 'Your latest posts'
 *   show Home template
 */
if ( 'posts' == get_option( 'show_on_front' ) ) :
	get_template_part( 'page-templates/home' );

/**
 * If Front page displays in Settings > Reading is set to 'A static page'
 *   (with certain page selected as 'Front page')
 *   index.php will be used as Archive/Blog list ('Posts page')
 *   by using Blog template
 */
else :
	get_template_part( 'page-templates/blog' );

endif;