<h3 class="heading">

	<?php if ( is_home() ) { ?>

		<?php
		$title = __( 'Latest News', 'smartzine' );
		$posts_page = get_option( 'page_for_posts' );
		if ( ! empty( $posts_page ) && is_numeric( $posts_page ) ) {
			$title = get_the_title( $posts_page );
		}
		?>
		<?php echo esc_attr( $title ); ?>

	<?php } elseif ( is_archive() ) { ?>

		<?php the_archive_title(); ?>

	<?php } elseif ( is_search() ) { ?>

		<?php printf( __( 'Search Results for: %s', 'smartzine' ), '<span>' . esc_attr( get_search_query() ) . '</span>' ); ?>

	<?php // TO-DO: check for page template if this works
		// otherwise, use: get_page_template_slug( get_the_ID() ) ?>
	<?php } elseif ( is_singular() ) { ?>

		<?php single_post_title(); ?>

	<?php } // End if check ?>

</h3>