<?php get_header(); ?>

	<div id="primary" class="content-area">
		<div id="content" class="page" role="main" <?php hybrid_attr( 'content' ); ?>>

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content', 'page' ); ?>

				<?php
					// Theme prefix
					$prefix = 'smartzine-';

					// Get data set in customizer
					$comment = smartzine_mod( $prefix . 'page-comment' );

					// Check if comment enable on customizer
					if ( $comment ) :
						// If enable and comments are open or we have at least one comment, load up the comment template
						if ( comments_open() || '0' != get_comments_number() ) :
							comments_template();
						endif;
					endif;
				?>

			<?php endwhile; // end of the loop. ?>

		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
