<?php get_header(); ?>

	<div id="primary" class="content-area">
		<div id="content" role="main" <?php hybrid_attr( 'content' ); ?>>

			<?php if ( have_posts() ) : ?>

				<div class="content-loop loop-blog <?php smartzine_posts_layout(); ?>">

					<?php get_template_part( 'loop', 'title' ); ?>

					<?php
					// Theme prefix
					$prefix = 'smartzine-';

					// Archive Type
					if ( is_category() ) {
						$type = 'cat-';
					} elseif ( is_tag() ) {
						$type = 'tag-';
					} elseif ( is_author() ) {
						$type = 'author-';
					} else {
						$type = 'archive-';
					}

					// Get the customizer value.
					$layout = smartzine_mod( $prefix . $type . 'layout' );
					?>

					<?php /* Start the Loop */ ?>

					<?php global $i; $i = 1; // counter for blog grid ?>
					<?php while ( have_posts() ) : the_post(); ?>

						<?php if ( 'standard' == $layout ) : ?>
							<?php get_template_part( 'content', get_post_format() ); ?>
						<?php else : ?>
							<?php get_template_part( 'content' ); ?>
						<?php endif; ?>

					<?php endwhile; ?>

				</div><!-- .content-loop -->

				<?php get_template_part( 'loop', 'nav' ); // Loads the loop-nav.php template ?>

			<?php else : ?>

				<?php get_template_part( 'content', 'none' ); ?>

			<?php endif; ?>

		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>