<?php
// Check if there's a menu assigned to the 'secondary' location.
if ( ! has_nav_menu( 'secondary' ) ) {
	return;
}
?>

<nav id="footer-nav" class="clearfix" role="navigation" <?php hybrid_attr( 'menu' ); ?>>
	<?php wp_nav_menu(
		array(
			'theme_location' => 'secondary',
			'container'      => false,
			'menu_id'        => 'footer-menu',
			'menu_class'     => 'footer-menu',
			'depth'          => 1,
			'fallback_cb'    => ''
		)
	); ?>
</nav>