<?php get_header(); ?>

	<div id="primary" class="content-area">
		<div id="content" class="loop-blog" role="main" <?php hybrid_attr( 'content' ); ?>>

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content', 'single' ); ?>

				<?php smartzine_post_author_box(); ?>

				<?php smartzine_related_posts(); ?>

				<?php
					// If comments are open or we have at least one comment, load up the comment template
					if ( comments_open() || '0' != get_comments_number() ) :
						comments_template();
					endif;
				?>

				<?php get_template_part( 'loop', 'nav' ); // Loads the loop-nav.php template  ?>

			<?php endwhile; // end of the loop. ?>

		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>